Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021674
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2012-09-17 18:502012-09-26 17:19
ReporterdbazView Statuspublic 
Assigned Todbaz 
PrioritynormalResolutionfixedFixed in Version3.0MP16
StatusclosedFix in branchFixed in SCM revisionf7344c95ba24
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021674: "getRandomId()" in ob-toolbar.js should be moved to a OB.Utilities

Description"getRandomId()" in ob-toolbar.js should be moved to a OB.Utilities

This will also reuse it in other places where it be needed
Steps To ReproduceOpen "ob-toolbar.js" and see "getRandomId()" function
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0052180)
hgbot (developer)
2012-09-17 18:53

Repository: erp/devel/pi
Changeset: f7344c95ba2418d593515ca9b986ec5006e74d6e
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Mon Sep 17 18:52:35 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f7344c95ba2418d593515ca9b986ec5006e74d6e [^]

Fixed issue 21674: Added 'OB.Utilities.generateRandomString' function

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
---
(0052181)
dbaz (developer)
2012-09-17 18:55

** {{{ OB.Utilities.generateRandomString }}} **

 Generates a random string based on the arguments
 Parameters:
  * {{{stringLength}}} Length of the generated random string
  * {{{allowLowerCaseChars}}} Boolean to check if lower case characters are allowed (true by default)
  * {{{allowUpperCaseChars}}} Boolean to check if upper case characters are allowed (true by default)
  * {{{allowDigits}}} Boolean to check if digits are allowed (false by default)
  * {{{allowSpecialChars}}} Boolean to check if special characters are allowed (false by default)
(0052353)
AugustoMauch (developer)
2012-09-24 17:07

Code reviewed and verified in pi@4c4431d17dbd
(0052776)
hudsonbot (developer)
2012-09-26 17:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b780e90c6452 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-09-17 18:50 dbaz New Issue
2012-09-17 18:50 dbaz Assigned To => dbaz
2012-09-17 18:50 dbaz Modules => Core
2012-09-17 18:50 dbaz Closed by => AugustoMauch
2012-09-17 18:53 hgbot Checkin
2012-09-17 18:53 hgbot Note Added: 0052180
2012-09-17 18:53 hgbot Status new => resolved
2012-09-17 18:53 hgbot Resolution open => fixed
2012-09-17 18:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f7344c95ba2418d593515ca9b986ec5006e74d6e [^]
2012-09-17 18:55 dbaz Note Added: 0052181
2012-09-24 17:07 AugustoMauch Note Added: 0052353
2012-09-24 17:07 AugustoMauch Status resolved => closed
2012-09-24 17:07 AugustoMauch Fixed in Version => 3.0MP16
2012-09-26 17:19 hudsonbot Checkin
2012-09-26 17:19 hudsonbot Note Added: 0052776


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker